### Hierarchy

- ParamFactory

## Index

### Methods

- fromConfig
- fromPath
- fromSearch

## Methods

- fromConfig(id: string, type: ParamType, config: any): Param

- Creates a new Param from a CONFIG block

- Creates a new Param from a CONFIG block

  #### Parameters

  - ##### id string

  - ##### type ParamType

  - ##### config any

  #### Returns Param

  - Defined in url/interface.ts:25

- fromPath(id: string, type: ParamType, config: any): Param

- Creates a new Param from a url PATH

- Creates a new Param from a url PATH

  #### Parameters

  - ##### id string

  - ##### type ParamType

  - ##### config any

  #### Returns Param

  - Defined in url/interface.ts:27

- fromSearch(id: string, type: ParamType, config: any): Param

- Creates a new Param from a url SEARCH

- Creates a new Param from a url SEARCH

  #### Parameters

  - ##### id string

  - ##### type ParamType

  - ##### config any

  #### Returns Param

  - Defined in url/interface.ts:29

Generated using TypeDoc